summaryrefslogtreecommitdiff
path: root/net-im
diff options
context:
space:
mode:
author(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
committer(no author) <(no author)@4d9a9b59-111c-4e0b-8f7a-7640551abb98>2009-03-16 07:55:01 +0000
commitf1e95daae05c57d935b00e611c624c5e75cd21ec (patch)
tree4065ab51d9e64882d9001a59ede7d9a4e372a4a6 /net-im
uploading my overlay ), initial commit
git-svn-id: http://172.18.13.13/svn/sss_overlay@1 4d9a9b59-111c-4e0b-8f7a-7640551abb98
Diffstat (limited to 'net-im')
-rw-r--r--net-im/centerim/centerim-9999.ebuild121
l---------net-im/centerim/files1
-rw-r--r--net-im/ekiga/ekiga-3.0.1.ebuild95
-rw-r--r--net-im/ekiga/ekiga-9999.ebuild111
-rw-r--r--net-im/gajim/gajim-9999.ebuild116
5 files changed, 444 insertions, 0 deletions
diff --git a/net-im/centerim/centerim-9999.ebuild b/net-im/centerim/centerim-9999.ebuild
new file mode 100644
index 0000000..3633acd
--- /dev/null
+++ b/net-im/centerim/centerim-9999.ebuild
@@ -0,0 +1,121 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-im/centerim/centerim-4.22.6.ebuild,v 1.1 2008/11/07 23:20:28 swegener Exp $
+
+inherit eutils git
+
+PROTOCOL_IUSE="aim gadu icq irc jabber lj msn rss yahoo"
+IUSE="${PROTOCOL_IUSE} bidi nls ssl crypt jpeg otr"
+
+DESCRIPTION="CenterIM is a fork of CenterICQ - a ncurses ICQ/Yahoo!/AIM/IRC/MSN/Jabber/GaduGadu/RSS/LiveJournal Client"
+SRC_URI=""
+HOMEPAGE="http://www.centerim.org/"
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+
+EGIT_REPO_URI="git://repo.or.cz/centerim.git"
+EGIT_BOOTSTRAP="./autogen.sh"
+
+DEPEND=">=sys-libs/ncurses-5.2
+ bidi? ( dev-libs/fribidi )
+ ssl? ( >=dev-libs/openssl-0.9.6g )
+ jpeg? ( media-libs/jpeg )
+ jabber? (
+ otr? ( net-libs/libotr )
+ crypt? ( >=app-crypt/gpgme-1.0.2 )
+ )
+ msn? (
+ net-misc/curl
+ dev-libs/openssl
+ )"
+
+RDEPEND="${DEPEND}
+ nls? ( sys-devel/gettext )"
+
+S="${WORKDIR}"/${P/_p*}
+
+check_protocol_iuse() {
+ local flag
+
+ for flag in ${PROTOCOL_IUSE}
+ do
+ use ${flag} && return 0
+ done
+
+ return 1
+}
+
+pkg_setup() {
+ if ! check_protocol_iuse
+ then
+ eerror
+ eerror "Please activate at least one of the following protocol USE flags:"
+ eerror "${PROTOCOL_IUSE}"
+ eerror
+ die "Please activate at least one protocol USE flag!"
+ fi
+
+ if use msn && ! built_with_use net-misc/curl ssl
+ then
+ eerror
+ eerror "As of right now, the msn use flags requires curl to be built"
+ eerror "with SSL support. Make sure ssl is in your USE flags and"
+ eerror "re-emerge net-misc/curl."
+ eerror
+ die "net-misc/curl dependencie issue"
+ fi
+
+ if use otr && ! use jabber
+ then
+ eerror
+ eerror "Support for OTR is only supported with Jabber!"
+ eerror
+ die "Support for OTR is only supported with Jabber!"
+ fi
+
+ if use gadu && ! use jpeg
+ then
+ ewarn
+ ewarn "You need jpeg support to be able to register Gadu-Gadu accounts!"
+ ewarn
+ fi
+}
+
+src_unpack() {
+ git_src_unpack
+ cd "${S}"
+
+ # Don't execute git commands, bug #228151
+# cat >"${S}"/misc/git-version-gen <<-EOF
+ #!/bin/sh
+# echo -n "${PVR}"
+# EOF
+}
+
+src_compile() {
+ econf \
+ $(use_with ssl) \
+ $(use_enable aim) \
+ $(use_with bidi fribidi) \
+ $(use_with jpeg libjpeg) \
+ $(use_with otr libotr) \
+ $(use_enable gadu gg) \
+ $(use_enable icq) \
+ $(use_enable irc) \
+ $(use_enable jabber) \
+ $(use_enable lj) \
+ $(use_enable msn) \
+ $(use_enable nls locales-fix) \
+ $(use_enable nls) \
+ $(use_enable rss) \
+ $(use_enable yahoo) \
+ || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install () {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ dodoc AUTHORS ChangeLog FAQ README THANKS TODO
+}
diff --git a/net-im/centerim/files b/net-im/centerim/files
new file mode 120000
index 0000000..57fd4f6
--- /dev/null
+++ b/net-im/centerim/files
@@ -0,0 +1 @@
+/var/paludis/repositories/gentoo/net-im/centerim/files \ No newline at end of file
diff --git a/net-im/ekiga/ekiga-3.0.1.ebuild b/net-im/ekiga/ekiga-3.0.1.ebuild
new file mode 100644
index 0000000..2f062bf
--- /dev/null
+++ b/net-im/ekiga/ekiga-3.0.1.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="1"
+
+inherit eutils gnome2
+
+DESCRIPTION="H.323 and SIP VoIP softphone"
+HOMEPAGE="http://www.ekiga.org/"
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="avahi dbus debug doc eds gconf gnome ldap libnotify xv"
+
+RDEPEND=">=dev-libs/ptlib-2.4.2
+ >=net-libs/opal-3.4.2
+ >=x11-libs/gtk+-2.12.0:2
+ >=dev-libs/glib-2.8.0:2
+ dev-libs/libsigc++:2
+ dev-libs/libxml2:2
+ avahi? ( >=net-dns/avahi-0.6.0 )
+ dbus? ( >=dev-libs/dbus-glib-0.36 )
+ eds? ( >=gnome-extra/evolution-data-server-1.2 )
+ gconf? ( >=gnome-base/gconf-2.6.0:2 )
+ gnome? ( >=gnome-base/libgnome-2.14.0
+ >=gnome-base/libgnomeui-2.14.0 )
+ ldap? ( net-nds/openldap )
+ libnotify? ( x11-libs/libnotify )
+ xv? ( x11-libs/libXv )"
+
+DEPEND="${RDEPEND}
+ >=sys-devel/make-3.81
+ >=dev-util/pkgconfig-0.12.0
+ >=dev-util/intltool-0.35
+ doc? ( app-text/scrollkeeper
+ app-text/gnome-doc-utils )"
+
+DOCS="AUTHORS ChangeLog FAQ NEWS README"
+
+pkg_setup() {
+ # ekiga has to be built like opal and ptlib but as opal has to be built
+ # like ptlib, it should be possible to check only opal but as ekiga is
+ # linking to both, we are cheking both
+ if use debug && (! built_with_use dev-libs/ptlib debug ||
+ ! built_with_use net-libs/opal debug); then
+ eerror "You need to build dev-libs/ptlib and net-libs/opal with\
+ USE=debug enabled."
+ die "dev-libs/ptlib and net-libs/opal have to be built with USE=debug"
+ fi
+
+ if ! use debug && (built_with_use dev-libs/ptlib debug ||
+ built_with_use net-libs/opal debug); then
+ eerror "You need to build dev-libs/ptlib and net-libs/opal without\
+ USE=debug."
+ die "dev-libs/ptlib and net-libs/opal has not to be built with USE=debug"
+ fi
+
+ # dbus-service is always enable if dbus is enable, no reason to disable it
+ G2CONF="${G2CONF}
+ $(use_enable avahi)
+ $(use_enable dbus)
+ $(use_enable dbus dbus_service)
+ $(use_enable debug)
+ $(use_enable doc gdu)
+ $(use_enable eds)
+ $(use_enable gconf)
+ $(use_enable gnome)
+ $(use_enable ldap)
+ $(use_enable libnotify notify)
+ $(use_enable xv)"
+}
+
+src_unpack() {
+ gnome2_src_unpack
+
+ # remove call to gconftool-2 --shutdown
+ sed -i -e '/gconftool-2 --shutdown/d' Makefile.in \
+ || die "Patching Makefile.in failed"
+
+ # fix ekiga-helper dbus service .in file
+ sed -i -e 's/@PACKAGE_NAME@/ekiga/'\
+ src/components/org.ekiga.Helper.service.in \
+ || die "Patching src/components/org.ekiga.Helper.service.in failed"
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! use gnome; then
+ ewarn "USE=-gnome is experimental, some weirdness with the UI and"
+ ewarn "config keys should appear."
+ fi
+}
diff --git a/net-im/ekiga/ekiga-9999.ebuild b/net-im/ekiga/ekiga-9999.ebuild
new file mode 100644
index 0000000..42c5d33
--- /dev/null
+++ b/net-im/ekiga/ekiga-9999.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="1"
+
+inherit eutils subversion autotools gnome2
+
+DESCRIPTION="H.323 and SIP VoIP softphone"
+HOMEPAGE="http://www.ekiga.org/"
+SRC_URI=""
+
+SLOT="0"
+LICENSE="GPL-2"
+KEYWORDS=""
+IUSE="avahi dbus debug doc eds gconf gnome ldap libnotify xv"
+
+ESVN_REPO_URI="http://svn.gnome.org/svn/ekiga/trunk/"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh $(use_enable avahi) $(use_enable dbus) $(use_enable dbus dbus_service) $(use_enable debug) $(use_enable doc gdu) $(use_enable eds) $(use_enable gconf) $(use_enable gnome) $(use_enable ldap) $(use_enable libnotify notify) $(use_enable xv)"
+
+
+S="${WORKDIR}/${P/_/}"
+
+RDEPEND=">=dev-libs/ptlib-2.4.2
+ >=net-libs/opal-3.4.2
+ >=x11-libs/gtk+-2.12.0:2
+ >=dev-libs/glib-2.8.0:2
+ dev-libs/libsigc++:2
+ dev-libs/libxml2:2
+ gnome-base/gconf
+ gnome-base/gnome-common
+ app-text/gnome-doc-utils
+ avahi? ( >=net-dns/avahi-0.6.0 )
+ dbus? ( >=dev-libs/dbus-glib-0.36 )
+ eds? ( >=gnome-extra/evolution-data-server-1.2 )
+ gconf? ( >=gnome-base/gconf-2.6.0:2 )
+ gnome? ( >=gnome-base/libgnome-2.14.0
+ >=gnome-base/libgnomeui-2.14.0 )
+ ldap? ( net-nds/openldap )
+ libnotify? ( x11-libs/libnotify )
+ xv? ( x11-libs/libXv )"
+
+DEPEND="${RDEPEND}
+ >=sys-devel/make-3.81
+ >=dev-util/pkgconfig-0.12.0
+ >=dev-util/intltool-0.35
+ doc? ( app-text/scrollkeeper
+ app-text/gnome-doc-utils )"
+
+DOCS="AUTHORS ChangeLog FAQ NEWS README"
+
+pkg_setup() {
+ # ekiga has to be built like opal and ptlib but as opal has to be built
+ # like ptlib, it should be possible to check only opal but as ekiga is
+ # linking to both, we are cheking both
+ if use debug && (! built_with_use dev-libs/ptlib debug ||
+ ! built_with_use net-libs/opal debug); then
+ eerror "You need to build dev-libs/ptlib and net-libs/opal with\
+ USE=debug enabled."
+ die "dev-libs/ptlib and net-libs/opal have to be built with USE=debug"
+ fi
+
+ if ! use debug && (built_with_use dev-libs/ptlib debug ||
+ built_with_use net-libs/opal debug); then
+ eerror "You need to build dev-libs/ptlib and net-libs/opal without\
+ USE=debug."
+ die "dev-libs/ptlib and net-libs/opal has not to be built with USE=debug"
+ fi
+
+ # dbus-service is always enable if dbus is enable, no reason to disable it
+ G2CONF="${G2CONF}
+ $(use_enable avahi)
+ $(use_enable dbus)
+ $(use_enable dbus dbus_service)
+ $(use_enable debug)
+ $(use_enable doc gdu)
+ $(use_enable eds)
+ $(use_enable gconf)
+ $(use_enable gnome)
+ $(use_enable ldap)
+ $(use_enable libnotify notify)
+ $(use_enable xv)
+ "
+}
+
+src_unpack() {
+
+ subversion_src_unpack
+ cd "${S}"
+# eautoreconf
+
+ # remove call to gconftool-2 --shutdown
+# sed -i -e '/gconftool-2 --shutdown/d' Makefile.in \
+# || die "Patching Makefile.in failed"
+
+ # fix ekiga-helper dbus service .in file
+# sed -i -e 's/@PACKAGE_NAME@/ekiga/'\
+# src/components/org.ekiga.Helper.service.in \
+# || die "Patching src/components/org.ekiga.Helper.service.in failed"
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+
+ if ! use gnome; then
+ ewarn "USE=-gnome is experimental, some weirdness with the UI and"
+ ewarn "config keys should appear."
+ fi
+}
diff --git a/net-im/gajim/gajim-9999.ebuild b/net-im/gajim/gajim-9999.ebuild
new file mode 100644
index 0000000..a350984
--- /dev/null
+++ b/net-im/gajim/gajim-9999.ebuild
@@ -0,0 +1,116 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-im/gajim/gajim-0.11.4.ebuild,v 1.6 2008/01/24 20:23:28 angelos Exp $
+
+inherit multilib python eutils subversion autotools
+
+DESCRIPTION="Jabber client written in PyGTK"
+HOMEPAGE="http://www.gajim.org/"
+SRC_URI=""
+
+ESVN_REPO_URI="svn://svn.gajim.org/gajim/trunk"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+S="${WORKDIR}/${P/_/}"
+
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="avahi dbus gnome idle libnotify nls spell srv trayicon X xhtml"
+
+DEPEND="|| (
+ ( <dev-lang/python-2.5 dev-python/pysqlite )
+ >=dev-lang/python-2.5
+ )
+ dev-python/pygtk
+ sys-devel/gettext
+ dev-util/intltool
+ dev-util/pkgconfig"
+
+RDEPEND="gnome? ( dev-python/gnome-python-extras
+ dev-python/gnome-python-desktop
+ )
+ dbus? ( dev-python/dbus-python dev-libs/dbus-glib )
+ libnotify? ( x11-libs/libnotify )
+ xhtml? ( dev-python/docutils )
+ srv? ( net-dns/bind-tools )
+ idle? ( x11-libs/libXScrnSaver )
+ spell? ( app-text/gtkspell )
+ avahi? ( net-dns/avahi )
+ dev-python/pyopenssl"
+
+pkg_setup() {
+ if ! use dbus; then
+ if use libnotify; then
+ eerror "The dbus USE flag is required for libnotify support"
+ die "USE=\"dbus\" needed for libnotify support"
+ fi
+ if use avahi; then
+ eerror "The dbus USE flag is required for avahi support"
+ die "USE=\"dbus\" needed for avahi support"
+ fi
+ else
+ if has_version "<sys-apps/dbus-0.90" && ! built_with_use sys-apps/dbus python; then
+ eerror "Please rebuild dbus with USE=\"python\""
+ die "USE=\"python\" needed for dbus"
+ fi
+ fi
+
+ if use avahi; then
+ if ! built_with_use net-dns/avahi dbus gtk python; then
+ eerror "The following USE flags are required for correct avahi"
+ eerror "support: dbus gtk python"
+ die "Please rebuild avahi with these use flags enabled."
+ fi
+ fi
+
+ if has_version ">=dev-lang/python-2.5" && ! built_with_use dev-lang/python sqlite; then
+ eerror "Please rebuild python with USE=\"sqlite\""
+ die "USE=\"sqlite\" needed for python"
+ fi
+}
+
+src_unpack() {
+ subversion_src_unpack
+ #eautoreconf
+ cd "${S}"
+ #epatch "${FILESDIR}/${P}-test_fix.patch"
+}
+
+src_compile() {
+ local myconf
+
+ if ! use gnome; then
+ myconf="${myconf} $(use_enable trayicon)"
+ myconf="${myconf} $(use_enable idle)"
+ fi
+
+ econf $(use_enable nls) \
+ $(use_enable spell gtkspell) \
+ $(use_enable dbus remote) \
+ $(use_with X x) \
+ --docdir="/usr/share/doc/${PF}" \
+ --prefix="/usr" \
+ --libdir="/usr/$(get_libdir)" \
+ ${myconf} || die "econf failed"
+
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ rm "${D}/usr/share/doc/${PF}/README.html"
+ dohtml README.html
+}
+
+pkg_postinst() {
+ python_mod_optimize /usr/share/gajim/
+}
+
+pkg_postrm() {
+ python_mod_cleanup /usr/share/gajim/
+}